import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { SuperType, SuperTypes } from '@red/domain';

type TranslationKey = SuperType;

export const annotationTypesTranslations: Record<TranslationKey, string> = {
    [SuperTypes.TextHighlight]: _('annotation-type.text-highlight'),
    [SuperTypes.Hint]: _('annotation-type.hint'),
    [SuperTypes.IgnoredHint]: _('annotation-type.ignored-hint'),
    [SuperTypes.ManualRedaction]: _('annotation-type.manual-redaction'),
    [SuperTypes.ManualHint]: _('annotation-type.manual-hint'),
    [SuperTypes.Recommendation]: _('annotation-type.recommendation'),
    [SuperTypes.Redaction]: _('annotation-type.redaction'),
    [SuperTypes.Skipped]: _('annotation-type.skipped'),
} as const;
